From b9d215eaced393a61c1b4398b7cbb164aa3cefdd Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?C=C3=A9dric=20Villemain?= <cedric@2ndquadrant.fr>
Date: Tue, 18 Jun 2013 15:19:22 +0200
Subject: [PATCH 6/6] Fix suggested layout for extension

custom rules must come after pgxs inclusion, not before. It is because any
rule added before pgxs will break the default 'all' target.
---
 src/makefiles/pgxs.mk |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/makefiles/pgxs.mk b/src/makefiles/pgxs.mk
index 4f25890..0842c77 100644
--- a/src/makefiles/pgxs.mk
+++ b/src/makefiles/pgxs.mk
@@ -9,12 +9,13 @@
 # Use the following layout for your Makefile:
 #
 #   [variable assignments, see below]
-#   [custom rules, rarely necessary]
 #
 #   PG_CONFIG = pg_config
 #   PGXS := $(shell $(PG_CONFIG) --pgxs)
 #   include $(PGXS)
 #
+#   [custom rules, rarely necessary]
+#
 # Set one of these three variables to specify what is built:
 #
 #   MODULES -- list of shared-library objects to be built from source files
-- 
1.7.10.4

